import Vue from 'vue';
import { ClassName } from '../common';
import { TdRowProps } from './type';
declare const _default: import("vue/types/vue").ExtendedVue<Vue, {
    size: string;
}, {
    updateSize(): void;
    calcRowStyle(gutter: TdRowProps['gutter'], currentSize: string): object;
}, {
    classes: ClassName;
}, {
    align: "top" | "bottom" | "middle";
    gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[];
    justify: "center" | "end" | "start" | "space-around" | "space-between";
    tag: string;
}>;
export default _default;
